%define tarball xf86-video-ati
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

Summary:   Xorg X11 ati video driver
Name:      xorg-x11-drv-ati
Version:   6.10.0
Release:   2%{?dist}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   http://www.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   radeon.xinf

Patch1:     radeon-modeset.patch
Patch4:     radeon-6.9.0-remove-limit-heuristics.patch
Patch5:	    radeon-6.9.0-panel-size-sanity.patch
Patch6:     radeon-6.9.0-bgnr-enable.patch
Patch7:	    radeon-6.10.0-fixes.patch
Patch12:    radeon-modeset-fix-legacy-vt.patch
Patch13:    radeon-fix-rs780-mm.patch

ExcludeArch: s390 s390x

BuildRequires: xorg-x11-server-sdk >= 1.4.99.1
BuildRequires: mesa-libGL-devel >= 6.4-4
BuildRequires: libdrm-devel >= 2.4.0-0.21
BuildRequires: kernel-headers >= 2.6.27-0.308
BuildRequires: automake autoconf libtool pkgconfig
BuildRequires: xorg-x11-util-macros >= 1.1.5

Requires:  hwdata
Requires:  xorg-x11-server-Xorg >= 1.4.99.1
Requires:  libdrm >= 2.4.0-0.21
# new CS method needs newer kernel
Requires:  kernel >= 2.6.27.4-58

%description 
X.Org X11 ati video driver.

%prep
%setup -q -n %{tarball}-%{version}
%patch1 -p1 -b .modeset
%patch4 -p1 -b .remove-limit-heuristics
%patch5 -p1 -b .panel-size
%patch6 -p1 -b .bgnr
%patch7 -p1 -b .upstream
%patch12 -p1 -b .vtswitch
%patch13 -p1 -b .rs780fix

%build
autoreconf -iv
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/ati_drv.so
%{driverdir}/radeon_drv.so
%{_datadir}/hwdata/videoaliases/radeon.xinf
%{moduledir}/multimedia/theatre200_drv.so
%{moduledir}/multimedia/theatre_detect_drv.so
%{moduledir}/multimedia/theatre_drv.so
%{_mandir}/man4/ati.4*
%{_mandir}/man4/radeon.4*

%changelog
* Fri Jan 30 2009 Dave Airlie <airlied@redhat.com> 6.10.0-2
- Fix a possible memory corruption issue on RS780 (#474078)
- also fixes zaphod on rs780

* Sun Jan 25 2009 Dave Airlie <airlied@redhat.com> 6.10.0-1
- rebase to latest upstream release

 Sun Jan 25 2009 Dave Airlie <airlied@redhat.com> 6.9.0-64
- hopefully fix post-resume DRI (#475193)

* Mon Dec 22 2008 Dave Airlie <airlied@redhat.com> 6.9.0-63
- radeon-modeset.patch: fix EXA with DRI disabled

* Tue Dec 09 2008 Dave Airlie <airlied@redhat.com> 6.9.0-62
- radeon-modeset.patch: fix resume with no DRI + another 2D/3D issue

* Tue Dec 02 2008 Dave Airlie <airlied@redhat.com> 6.9.0-61
- radeon-modeset.patch: fix some DFS issues on r5xx - better fix for rs4xx

* Sun Nov 30 2008 Dave Airlie <airlied@redhat.com> 6.9.0-60
- radeon-6.9.0-posting-fix.patch - add fix to post the second GPU properly

* Thu Nov 27 2008 Dave Airlie <airlied@redhat.com> 6.9.0-59
- radeon-6.9.0-exa-dst-a8-r100-r200.patch - fix dst a8 with dst alpha (#469556)

* Wed Nov 26 2008 Dave Airlie <airlied@redhat.com> 6.9.0-58
- radeon/kms: use a big hammer on rs4xx/rs6xx

* Tue Nov 25 2008 Dave Airlie <airlied@redhat.com> 6.9.0-57
- radeon/kms: hopefully fix some rs690 stability issues

* Sun Nov 23 2008 Dave Airlie <airlied@redhat.com> 6.9.0-56
- fix some issues with UTS and 2d state flush

* Tue Nov 18 2008 Dave Airlie <airlied@redhat.com> 6.9.0-55
- attempt to resolve DFS with a worse idea.

* Tue Nov 18 2008 Dave Airlie <airlied@redhat.com> 6.9.0-54
- radeon attempt to fix suspend/resume

* Tue Nov 18 2008 Dave Airlie <airlied@redhat.com> 6.9.0-53
- radeon - more issues in space check

* Tue Nov 18 2008 Dave Airlie <airlied@redhat.com> 6.9.0-52
- radeon - fix typo

* Tue Nov 18 2008 Dave Airlie <airlied@redhat.com> 6.9.0-51
- radeon - even better space checks + prefer glitches + debug over exiting

* Tue Nov 18 2008 Dave Airlie <airlied@redhat.com> 6.9.0-50
- radeon - don't fail at integer division

* Tue Nov 18 2008 Dave Airlie <airlied@redhat.com> 6.9.0-49
- modeset - fix O(wtf) operation in post_bufmgr_submit

* Mon Nov 17 2008 Dave Airlie <airlied@redhat.com> 6.9.0-48
- limit to 90% of VRAM for modeset command submission

* Mon Nov 17 2008 Dave Airlie <airlied@redhat.com> 6.9.0-47
- add set/drop master ioctls

* Fri Nov 14 2008 Dave Airlie <airlied@redhat.com> 6.9.0-46
- fix rebooting on low memory cards.

* Fri Nov 14 2008 Dave Airlie <airlied@redhat.com> 6.9.0-45
- try and speed up fallback cases a bit

* Mon Nov 10 2008 Dave Airlie <airlied@redhat.com> 6.9.0-44
- fix rendering from very large pixmaps (#468571)

* Mon Nov 10 2008 Dave Airlie <airlied@redhat.com> 6.9.0-43
- radeon-modeset.patch: fix dpms + xv (#470050)

* Sat Nov 08 2008 Dave Airlie <airlied@redhat.com> 6.9.0-42
- radeon-modeset.patch: fix rotation + dpms

* Sat Nov 01 2008 Dave Airlie <airlied@redhat.com> 6.9.0-41
- radeon-modeset.patch - hopefully speed up mozilla again

* Fri Oct 31 2008 Adam Jackson <ajax@redhat.com> 6.9.0-40
- radeon-6.9.0-dig1-hdmi.patch: Fix minor logic error.

* Fri Oct 31 2008 Adam Jackson <ajax@redhat.com> 6.9.0-39
- radeon-6.9.0-dig1-hdmi.patch: Fix initialization of DVI sinks on HDMI
  connectors for DCE3.

* Thu Oct 30 2008 Dave Airlie <airlied@redhat.com> 6.9.0-38
- don't enable DFS under kms on anything but PCIE by default.

* Thu Oct 30 2008 Dave Airlie <airlied@redhat.com> 6.9.0-37
- fix memory leak in -ati driver (#469024)

* Wed Oct 29 2008 Dave Airlie <airlied@redhat.com> 6.9.0-36
- radeon-6.9.0-add-hd3300.patch - add missing pciid (#466706)
- radeon-6.9.0-quirk-agp.patch - from Ubuntu.

* Wed Oct 29 2008 Dave Airlie <airlied@redhat.com> 6.9.0-35
- radeon-6.9.0-bgnr-enable.patch - enable bg none when kms enabled (#468879)

* Tue Oct 28 2008 Dave Airlie <airlied@redhat.com> 6.9.0-34
- remove some left over debug

* Tue Oct 28 2008 Dave Airlie <airlied@redhat.com> 6.9.0-33
- add support for wait for rendering

* Mon Oct 27 2008 Dave Airlie <airlied@redhat.com> 6.9.0-32
- move to CS2 mechanism - using chunks to avoid multiple relocations
- add kernel requires about 2.6.27.4-52 for new CS mechanism

* Thu Oct 23 2008 Dave Airlie <airlied@redhat.com> 6.9.0-31
- limit VRAM usage in driver - not perfect but a good start

* Thu Oct 23 2008 Dave Airlie <airlied@redhat.com> 6.9.0-30
- fix some bad memory allocations

* Tue Oct 21 2008 Dave Airlie <airlied@redhat.com> 6.9.0-29
- fix most obvious glyph corruption issues in modesetting mode

* Sun Oct 19 2008 Dave Airlie <airlied@redhat.com> 6.9.0-28
- fix set tex offset for non modesetting cases

* Wed Oct 15 2008 Dave Airlie <airlied@redhat.com> 6.9.0-27
- modeset - radeon add support for basic r100/r200 EXA
- modeset - add Download from screen accel.
- radeon-6.9.0-to-git.patch : fix 30" monitor

* Mon Oct 13 2008 Dave Airlie <airlied@redhat.com> 6.9.0-26
- radeon-modeset.patch - fix nexuiz mode switch - remove unused reuse code

* Fri Oct 10 2008 Dave Airlie <airlied@redhat.com> 6.9.0-25
- fix rotation
- make output names compatible with non-kms

* Fri Oct 10 2008 Dave Airlie <airlied@redhat.com> 6.9.0-24
- radeon-modeset.patch - fix silly debugging fallback.

* Fri Oct 10 2008 Dave Airlie <airlied@redhat.com> 6.9.0-23
- rebase to upstream master
- radeon-6.9.0-lvds-mapping.patch - merged upstream
- copy-fb-contents.patch merged into modesetting tree.

* Wed Oct 08 2008 Adam Jackson <ajax@redhat.com> 6.9.0-22
- radeon-6.9.0-lvds-mapping.patch: Fix connector mapping on LVDS.

* Wed Oct 01 2008 Dave Airlie <airlied@redhat.com> 6.9.0-21
- rebase for latest fixes and new libdrm

* Mon Sep 29 2008 Dave Airlie <airlied@redhat.com> 6.9.0-20
- fix collision with copy fb contents patch

* Mon Sep 29 2008 Dave Airlie <airlied@redhat.com> 6.9.0-19
- fix textured video + merge otaylor fix into exa fixes patch

* Sat Sep 27 2008 Dave Airlie <airlied@redhat.com> 6.9.0-18
- fix fb contents patch
- EXA speedup from otaylor.

* Fri Sep 26 2008 Dave Airlie <airlied@redhat.com> 6.9.0-17
- exa offset fixes for changes in X server

* Fri Sep 26 2008 Dave Airlie <airlied@redhat.com> 6.9.0-16
- rebase to a later tree - still not fully up to git master
- add some fixes to the resize stuff - not fully done

* Fri Sep 19 2008 Kristian Høgsberg <krh@redhat.com> - 6.9.0-15
- Add copy-fb-contents.patch to initialize the root window contents
  with the fbdev contents for slick startup.

* Thu Sep 11 2008 Adam Jackson <ajax@redhat.com> 6.9.0-14
- radeon-6.9.0-panel-size-sanity.patch: Panels smaller than 800x480 are
  highly implausible, disable them if we find them.  If you have one,
  you can force it with Option "PanelSize".

* Thu Sep 11 2008 Soren Sandmann <sandmann@redhat.com> 6.9.0-13
- Remove the fb size hack since there is a fix in the server now.
- Unfortunately, the driver prevents this fix from working by applying 
  its own heuristics. Remove those.

* Wed Sep 10 2008 Adam Jackson <ajax@redhat.com> 6.9.0-12
- Do the fb size hack a differently bad way.

* Tue Sep  9 2008 Kristian Høgsberg <krh@redhat.com> 6.9.0-11
- Restore CFLAGS after testing for DRM_MODE in radeon-modeset.patch.

* Mon Sep 08 2008 Adam Jackson <ajax@redhat.com> 6.9.0-10
- radeon-6.9.0-fb-size.patch: Yet more lame heuristics to preallocate a
  usable framebuffer for laptops. (#458864)

* Fri Sep 05 2008 Dave Airlie <airlied@redhat.com> 6.9.0-9
- add fix for pipe register emits on r300

* Fri Sep 05 2008 Dave Airlie <airlied@redhat.com> 6.9.0-8
- fix suspend/resume support - needs new pinning API

* Wed Aug 27 2008 Dave Airlie <airlied@redhat.com> 6.9.0-7
- fix bug in modesetting to make 3D work again

* Tue Aug 26 2008 Dave Airlie <airlied@redhat.com> 6.9.0-6
- update modesetting/memory manager support

* Fri Aug 15 2008 Dave Airlie <airlied@redhat.com> 6.9.0-5
- Add a perl script to generate the radeon.xinf from the actual PCI IDs the driver supports.
- not build integrated yet though
- update pciids

* Fri Aug 15 2008 Dave Airlie <airlied@redhat.com> 6.9.0-4
- fix bugs in modesetting and bring PLL fixes in from master

* Thu Aug 14 2008 Dave Airlie <airlied@redhat.com> 6.9.0-3
- bring back modesetting

* Mon Aug 11 2008 Adam Jackson <ajax@redhat.com> 6.9.0-2
- Rebuild without modesetting since libdrm lost the API.  It'll be back soon,
  I'm sure.

* Sun Aug 10 2008 Adam Jackson <ajax@redhat.com> 6.9.0-1
- Move to 6.9.0, now that the r128 and mach64 drivers are split out.
- Add git fixes since 6.9.0.
- Rebase the modesetting patch onto git master.

* Wed Aug 06 2008 Dave Airlie <airlied@redhat.com> 6.8.0-21
- bunch of fixes to modesetting code + remove debugging.

* Fri Aug 01 2008 Dave Airlie <airlied@redhat.com> 6.8.0-20
- DDX modesetting code

* Wed Jul 30 2008 Dave Airlie <airlied@redhat.com> 6.8.0-19
- Update to latest upstream release + fixes

* Thu Jun 26 2008 Dave Airlie <airlied@redhat.com> 6.8.0-18
- update to latest git 6.8.192 beta

* Wed May 28 2008 Dave Airlie <airlied@redhat.com> 6.8.0-17
- fix multiple VT switch issues on r600 cards
- assorted upstream goodness

* Sat May 24 2008 Dave Airlie <airlied@redhat.com> 6.8.0-16
- Fix PLL on r600 LVDS (#444542)
- update to other upstream fixes

* Mon May 12 2008 Dave Airlie <airlied@redhat.com> 6.8.0-15
- The RS482 sucks - same pci id, mobile and non-mobile parts.

* Mon May 12 2008 Dave Airlie <airlied@redhat.com> 6.8.0-14
- add initial cloning support for RN50 (#439879)

* Wed May 07 2008 Dave Airlie <airlied@redhat.com> 6.8.0-13
- more upstream fixes for EXA accel + zaphod mode

* Thu Apr 24 2008 Dave Airlie <airlied@redhat.com> 6.8.0-12
- not so much faster as kill my Apple MAC DDC - next time do this upstream first

* Thu Apr 24 2008 Dave Airlie <airlied@redhat.com> 6.8.0-11
- fix r128 bios size issue (#439022)

* Sun Apr 06 2008 Dave Airlie <airlied@redhat.com> 6.8.0-10
- attempt to fix VT switch and X restart hangs

* Wed Apr 02 2008 Dave Airlie <airlied@redhat.com> 6.8.0-9
- attempt to fix dualhead and rotation at the same time.

* Mon Mar 31 2008 Dave Airlie <airlied@redhat.com> 6.8.0-8
- Hopefully fix quirks not applying on radeon LVDS (#435126)
- quirk connector table from (#428515)
- fix rotate on r500 cards

* Sun Mar 30 2008 Dave Airlie <airlied@redhat.com> 6.8.0-7
- Major upstream fixes backported - render accel, xv etc.
- This is done with a separate patch as upstream has split mach64/r128 already

* Fri Mar 28 2008 Adam Jackson <ajax@redhat.com> 6.8.0-6
- radeon.xinf: :1,$s/radeon_tp/radeon/

* Wed Mar 26 2008 Dave Airlie <airlied@redhat.com> 6.8.0-5
- Fix mach64 on ia64 with 16k pagesize (#438947)

* Tue Mar 11 2008 Adam Jackson <ajax@redhat.com> 6.8.0-4
- r500-dual-link-love.patch: Make R300+ max CRTC size guess big enough
  for a 30" monitor.

* Mon Mar 03 2008 Dave Airlie <airlied@redhat.com> 6.8.0-3
- rebuild for upstream ABI breakage

* Tue Feb 26 2008 Dave Airlie <airlied@redhat.com> 6.8.0-2
- rebase to upstream 6.8.0 release + git fixes

* Tue Feb 19 2008 Dave Airlie <airlied@redhat.com> 6.8.0-1
- rebase to upstream 6.8.0 release.

* Mon Feb 18 2008 Dave Airlie <airlied@redhat.com> 6.7.197-3
- rebase to upstream git master - lots of r600 fixes

* Fri Feb 08 2008 Dave Airlie <airlied@redhat.com> 6.7.197-2
- rebase to upstream git master - add rv67x ids

* Mon Feb 04 2008 Dave Airlie <airlied@redhat.com> 6.7.197-1
- rebase to upstream git master
- add r5xx and r6xx pci ids to xinf

* Thu Jan 17 2008 Dave Airlie <airlied@redhat.com> 6.7.196-7
- fix up IGPs from upstream fix.

* Wed Jan 09 2008 Adam Jackson <ajax@redhat.com> 6.7.196-6
- Rebuild for new server ABI.

* Wed Jan 02 2008 Adam Jackson <ajax@redhat.com> 6.7.196-5
- r128-6.7.196-pciaccess.patch: Fix some preprocessor dumbness.

* Wed Jan 02 2008 Adam Jackson <ajax@redhat.com> 6.7.196-4
- r128-6.7.196-pciaccess.patch: Port r128 to libpciaccess.

* Wed Dec 19 2007 Dave Airlie <airlied@redhat.com> 6.7.196-3
- radeon-git-upstream-fixes.patch - update for latest git master
- radeon-6.7.196-atombios-support.patch - update for r500/r600

* Mon Dec 17 2007 Adam Jackson <ajax@redhat.com> 6.7.196-2
- *-6.7.196-alloca.patch: Fix ALLOCATE_LOCAL failures.

* Wed Nov 14 2007 Adam Jackson <ajax@redhat.com> 6.7.196-1
- xf86-video-ati 6.7.196

* Tue Nov 13 2007 Adam Jackson <ajax@redhat.com> 6.7.195-5
- Require xserver 1.4.99.1

* Thu Nov 08 2007 Adam Jackson <ajax@redhat.com> 6.7.195-4
- radeon-6.7.195-faster-ddc.patch: Speed up X startup by assuming the
  monitor doesn't need a dead chicken waved over it to get DDC.

* Tue Oct 16 2007 Dave Airlie <airlied@redhat.com> 6.7.195-3
- upstream fixes including previous patches + attempted mac detection

* Tue Oct 09 2007 Adam Jackson <ajax@redhat.com> 6.7.195-2
- DDC and LVDS patches from git.

* Sat Oct 06 2007 Adam Jackson <ajax@redhat.com> 6.7.195-1
- xf86-video-ati 6.7.195

* Fri Oct 5 2007 Dave Airlie <airlied@redhat.com> 6.7.194-3
- radeon-6.7.194-upstream-fixes - Upstream LVDS fixes
  improve chances of working on more panels.

* Fri Sep 28 2007 Dave Airlie <airlied@redhat.com> 6.7.194-2
- radeon-6.7.194-disable-rc410-dri.patch - Disable DRI on
  RC410 by default as it seems to need some more work.

* Mon Sep 24 2007 Dave Airlie <airlied@redhat.com> 6.7.194-1
- xf86-video-ati 6.7.194

* Thu Sep 20 2007 Dave Airlie <airlied@redhat.com> 6.7.193-1
- xf86-video-ati 6.7.193

* Mon Aug 27 2007 Adam Jackson <ajax@redhat.com> 6.7.192-1
- xf86-video-ati 6.7.192

* Mon Aug 27 2007 Dave Airlie <airlied@redhat.com> 6.7.191-2
- radeon-6.7.191-git-master.patch - upgrade to git head
  f36720377737210c985b196d9a988efdd767f1c7

* Tue Aug 23 2007 Dave Airlie <airlied@redhat.com> 6.7.191-1
- xf86-video-ati 6.7.191. - Add a pre-release of radeon randr code
  This will break old zaphod mode further than the current 6.6.193
  driver, and will probably break mergedfb configs, however it will
  work with randr-1.2 properly and is the more supported codebase going
  forward.

* Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> - 6.6.193-3
- Rebuild for build id

* Wed Aug 08 2007 Dave Airlie <airlied@redhat.com> 6.6.193-2
- xf86-video-ati 6.6.193. - remove dotclock workaround for now
  It causes crashes bug 251051

* Sat Aug 04 2007 Dave Airlie <airlied@redhat.com> 6.6.193-1
- xf86-video-ati 6.6.193.

* Wed Jun 27 2007 Adam Jackson <ajax@redhat.com> 6.6.192-1
- xf86-video-ati 6.6.192.

* Tue Jun 19 2007 Adam Jackson <ajax@redhat.com> 6.6.3-4
- radeon-6.6.3-renderaccel-buglet.patch: Fix OpenOffice font corruption
  when RenderAccel is disabled. (#244675)

* Mon Jun 18 2007 Adam Jackson <ajax@redhat.com> 6.6.3-3
- Update Requires and BuildRequires.  Disown the module directories.  Add
  Requires: hwdata.

* Thu Feb 15 2007 Adam Jackson <ajax@redhat.com> 6.6.3-2
- ExclusiveArch -> ExcludeArch

* Tue Nov 7 2006 Adam Jackson <ajackson@redhat.com> 6.6.3-1.fc7
- Update to 6.6.3.

* Mon Oct 2 2006 Adam Jackson <ajackson@redhat.com> 6.6.2-4
- ati-prefer-radeon-then-r128.patch: When loading through the 'ati' wrapper,
  prefer radeon to rage128 to mach{64,32,16,8,4,2,1}. 
- r128-fp-dpms.patch: Hook up DPMS for Rage128 DFPs. (#197436)
- radeon-6.6.2-dac-fix.patch: Even though we turn DACs on for probing, don't
  turn them off.  Fixes black screen of death post-rhgb.  (#208610)
- radeon-6.6.2-pmac-bios.patch: Be more suspicious of ROMs before interpreting
  their content.  (#208694)
- radeon-6.6.2-usefbdev-patch.patch: Use the framebuffer stride from fbdev,
  instead of making up numbers.  (#208694)

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 6.6.2-3
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Thu Sep 21 2006 Adam Jackson <ajackson@redhat.com> 6.6.2-2.fc6
- radeon-6.6.2-dac-fix.patch: Backport 25fa71... from git.  Turn on the DAC
  before doing CRT connection probe, otherwise we might incorrectly detect
  a CRT where there isn't one. (#202240 and others)

* Tue Aug 29 2006 Adam Jackson <ajackson@redhat.com> 6.6.2-1.fc6
- Update to 6.6.2 from upstream:
  - Mach64 stability and correctness fixes
  - Mach64 EXA support.
  - Misc bugfixes for radeon.

* Thu Aug 24 2006 Adam Jackson <ajackson@redhat.com> 6.6.1-11.fc6
- radeon-6.6.1-use-mtdriver.patch: Only flag modes with M_T_PREFERRED if
  the EDID blocks says to.

* Fri Aug 18 2006 Adam Jackson <ajackson@redhat.com> 6.6.1-10.fc6
- radeon-6.6.1-use-mtdriver.patch: Use new M_T_DRIVER mode type for mode
  synthesis.
- Bump Requires to match.

* Fri Aug 18 2006 Adam Jackson <ajackson@redhat.com> 6.6.1-9.fc6
- mach64-cpio-for-ia64.patch: Enable CPIO for mach64 on ia64. (#203017)

* Thu Aug 10 2006 Adam Jackson <ajackson@redhat.com> 6.6.1-8.fc6
- radeon-6.6.1-xpress-200.patch: Also disable DRI on xpress200, known broken.

* Wed Aug  2 2006 Adam Jackson <ajackson@redhat.com> 6.6.1-7.fc6
- Make sure DRI and Render accel are disabled on RN50.

* Sat Jul 29 2006 Kristian Høgsberg <krh@redhat.com> 6.6.1-6.fc5.aiglx
- Build for fc5 aiglx repo.

* Thu Jul 27 2006 Adam Jackson <ajackson@redhat.com> 6.6.1-6.fc6
- Updated radeon.xinf: comments, a handful of new devices.

* Mon Jul 24 2006 Mike A. Harris <mharris@redhat.com> 6.6.1-5.fc6
- Added r128-missing-xf86ForceHWCursor-symbol-bug168753.patch to fix (#168753)
- Add {?dist} tag to Release field

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 6.6.1-4.1
- rebuild

* Wed Jun 28 2006 Mike A. Harris <mharris@@redhat.com> 6.6.1-4
- Added "BuildRequires: xorg-x11-server-sdk >= 1.1.0-12" to fix the same
  problem at build time as were added in 6.6.1-2 to fix it at runtime.

* Tue Jun 27 2006 Kristian Høgsberg <krh@redhat.com> 6.6.1-3
- Bump release for FC5 aiglx build.

* Mon Jun 26 2006 Adam Jackson <ajackson@redhat.com> 6.6.1-2
- Filter the EDID mode list by the monitor's reported pixel clock.  Bump
  the BuildReq to a server that provides the necessary ABI field.

* Sat Jun 17 2006 Mike A. Harris <mharris@redhat.com> 6.6.1-1
- Updated xorg-x11-drv-ati to version 6.6.1 update release for X11R7.1
- Drop db-root-visual.patch, as it is included in 6.6.1
- Enable DRI support for sparc/sparc64 builds.

* Fri Jun  9 2006 Kristian Høgsberg <krh@redhat.com> 6.6.0-7
- Committed db-root-visual.patch and reenabled.

* Thu Jun  8 2006 Mike A. Harris <mharris@@redhat.com> 6.6.0-6
- Disable db-root-visual.patch, because the file wasn't committed to CVS.

* Thu Jun  8 2006 Kristian Høgsberg <krh@redhat.com> 6.6.0-5
- Bump for rawhide build.

* Thu Jun  8 2006 Kristian Høgsberg <krh@redhat.com> 6.6.0-4
- Add db-root-visual.patch to make root visual double buffered.

* Tue May 23 2006 Adam Jackson <ajackson@redhat.com> 6.6.0-3
- Rebuild for 7.1 ABI fix.

* Tue Apr 11 2006 Kristian Høgsberg <krh@redhat.com> 6.6.0-2
- Bump for fc5-bling build.

* Sun Apr  9 2006 Adam Jackson <ajackson@redhat.com> 6.6.0-1
- Update to 6.6.0 from 7.1RC1.

* Tue Apr  4 2006 Kristian Høgsberg <krh@redhat.com> 6.5.7.3-4.cvs20060404
- Update to CVS snapshot from 20060404.

* Wed Mar 22 2006 Kristian Høgsberg <krh@redhat.com> 6.5.7.3-4.cvs20060322
- Update to CVS snapshot of 20060322.
- Drop xorg-x11-drv-ati-6.5.7.3-radeon-metamodes-SEGV-fix.patch.

* Tue Feb 21 2006 Mike A. Harris <mharris@redhat.com> 6.5.7.3-4
- Added xorg-x11-drv-ati-6.5.7.3-radeon-metamodes-SEGV-fix.patch from CVS HEAD.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 6.5.7.3-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 6.5.7.3-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb 05 2006 Mike A. Harris <mharris@redhat.com> 6.5.7.3-3
- Updated radeon.xinf to be up to date with the xf86PciInfo.h from the Xorg
  X server 1.0.1-1 source.  This should account for all supported Radeon
  models now modulo errors/omissions.

* Thu Feb 02 2006 Mike A. Harris <mharris@redhat.com> 6.5.7.3-2
- Added r128.xinf and radeon.xinf videoalias files to fix bug (#174101).
- Added "BuildRequires: libdrm-devel >= 2.0-1" to fix bug (#178613)

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 6.5.7.3-1
- Updated xorg-x11-drv-ati to version 6.5.7.3 from X11R7.0
- Added ati.xinf videoalias file for hardware autodetection.

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 6.5.7.2-1
- Updated xorg-x11-drv-ati to version 6.5.7.2 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 6.5.7-1
- Updated xorg-x11-drv-ati to version 6.5.7 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 6.5.6.1-1
- Updated xorg-x11-drv-ati to version 6.5.6.1 from X11R7 RC1
- Fix *.la file removal.
- Add "BuildRequires: mesa-libGL-devel >= 6.4-4 for DRI builds"

* Mon Oct 3 2005 Mike A. Harris <mharris@redhat.com> 6.5.6-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Use _smp_mflags with make, to speed up SMP builds.
- Add "alpha sparc sparc64" to ExclusiveArch

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 6.5.6-0
- Initial spec file for ati video driver generated automatically
  by my xorg-driverspecgen script.
